Package org.apache.groovy.groovysh.jline

# Enum SystemRegistryImpl.Pipe

java.lang.Object
java.lang.Enum<SystemRegistryImpl.Pipe>
org.apache.groovy.groovysh.jline.SystemRegistryImpl.Pipe

All Implemented Interfaces:
  `Serializable`, `Comparable<SystemRegistryImpl.Pipe>`, `java.lang.constant.Constable`

Enclosing class:
  SystemRegistryImpl

public static enum SystemRegistryImpl.Pipe extends Enum<SystemRegistryImpl.Pipe>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AND`
  `APPEND`
  `FLIP`
  `NAMED`
  `OR`
  `PIPE`
  `REDIRECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SystemRegistryImpl.Pipe`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SystemRegistryImpl.Pipe[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLIP

    public static final SystemRegistryImpl.Pipe FLIP

  - ### NAMED

    public static final SystemRegistryImpl.Pipe NAMED

  - ### AND

    public static final SystemRegistryImpl.Pipe AND

  - ### OR

    public static final SystemRegistryImpl.Pipe OR

  - ### REDIRECT

    public static final SystemRegistryImpl.Pipe REDIRECT

  - ### APPEND

    public static final SystemRegistryImpl.Pipe APPEND

  - ### PIPE

    public static final SystemRegistryImpl.Pipe PIPE

- ## Method Details

  - ### values

    public static SystemRegistryImpl.Pipe[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SystemRegistryImpl.Pipe valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null